Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - Account

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Account

The Account object provides information about an account, including the associated users, connector licensing information, and general information.

Note: The ability to create and delete accounts is available only through the Platform Partner API.

Required Privileges

Read and Write access

  • API — Use the Boomi Platform API to access account data.
  • ACCOUNT_ADMIN — Account configuration and administration.

Retrieves an instance of an Account object

Retrieves a single Account object using the supplied account ID. This GET operation returns details only for the parent account and does not include any accounts created by the parent account.

Authorizations:
basicAuth
path Parameters
id
required
string

Responses

Response Schema:
suggestionsEnabled
boolean

Identifies whether this account has the Boomi Suggest feature enabled.

name
string

The name of the account.

object (Account_Molecule)

Indicates the number of Runtime clusters available on an account and the number of Runtime clusters currently in use.

supportLevel
string
Enum: "standard" "premier"

The level of support for this account. The allowed values are standard *or premier.

status
string
Enum: "trial" "active" "suspended" "deleted" "unlimited"

The status of the account. The allowed values are active or deleted.

overDeployed
boolean

Indicates the state of an account if one or more additional deployments are made after all available connection licenses have been used for any of the connector class.

expirationDate
string

The scheduled expiration date of the account.

widgetAccount
boolean
dateCreated
string

The creation date of the account.

accountId
string

The ID of the account.

object (Account_Licensing)

Indicates the number of connections used and purchased in each of the connector type and production/test classifications. The classifications include standard, smallBusiness, enterprise, and tradingPartner.

supportAccess
boolean

Identifies whether this account allows support user access.

Response samples

Content type
{
  • "@type": "Account",
  • "licensing": {
    • "@type": "",
    • "standard": {
      },
    • "smallBusiness": {
      },
    • "enterprise": {
      },
    • "tradingPartner": {
      },
    • "standardTest": {
      },
    • "smallBusinessTest": {
      },
    • "enterpriseTest": {
      },
    • "tradingPartnerTest": {
      }
    },
  • "molecule": {
    • "@type": "Molecule",
    • "purchased": 10,
    • "used": 0
    },
  • "accountId": "boomiqa-T7KIDU",
  • "name": "BoomiQA",
  • "status": "active",
  • "dateCreated": "2022-09-02T20:16:28Z",
  • "widgetAccount": false,
  • "supportAccess": true,
  • "supportLevel": "standard",
  • "overDeployed": false,
  • "expirationDate": "2016-02-13T05:00:00Z",
  • "suggestionsEnabled": false
}

Retrieves multiple Account objects by identifier

The bulk GET operation returns multiple Account objects based on the supplied account IDs, to a maximum of 100. To learn more about bulk, refer to the topic Bulk GET operations.

Authorizations:
basicAuth
Request Body schema:
optional
Array of objects (BulkId)
type
string
Enum: "GET" "DELETE" "UPDATE" "CREATE"

Responses

Response Schema:
Array of objects
Array
required
object (Account)
errorMessage
string
id
string
index
integer <int32>
statusCode
integer <int32>

Request samples

Content type
{
  • "request": [
    • {
      }
    ],
  • "type": "GET"
}

Response samples

Content type
{
  • "response": [
    • {
      }
    ]
}

Queries for an Account object(s)

The Account Query API returns accounts that were created by the parent account identified in the request URL.

For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.

Authorizations:
basicAuth
Request Body schema:
optional

Possible properties include: ACCOUNTID, DATECREATED, EXPIRATIONDATE, NAME, STATUS, WIDGETACCOUNT, OVERDEPLOYED

required
object
object

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Account)

Request samples

Content type
Example
{
  • "QueryFilter": {
    • "expression": {
      }
    }
}

Response samples

Content type
{
  • "numberOfResults": 100,
  • "@type": "QueryResult",
  • "result": [
    • {
      },
    • {
      }
    ]
}

Retrieves additional results for an Account query

To learn about using queryMore, refer to the topic Query paging.

Authorizations:
basicAuth
Request Body schema: text/plain
required
string

Responses

Response Schema:
numberOfResults
integer <int32>
queryToken
string

By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request.

Array of objects (Account)

Response samples

Content type
{
  • "numberOfResults": 100,
  • "@type": "QueryResult",
  • "result": [
    • {
      },
    • {
      }
    ]
}